
string sThis = "scripts\\actions\\objectMovement.c";

float x,y;

float fStartPitchTime=2.0;
float fPitchTime=1.5;
float fMaxHeight=50;
float fMinHeight=30;

float fMaxSpeed=300;

void Recall(float fTime)
{
	RequestRunScript(sThis, fTime);
}

switch (ObjectMovement)
{
	case 0:
		if (GetPointPosition())
		{
			idObjectMovementObj=GetNearestObjectWithMass(fTmp[0], fTmp[1], 5*32);
			if ((idObjectMovementObj!=-1)&&(int(GetObjectFloat(idObjectMovementObj,7))==10))
			{
				DebugMessage(3, "Got object \"", GetCfgID(idObjectMovementObj), "\"");

				ObjectMovement=1;

				SetHighlight(idObjectMovementObj, 1);

				ObjectMovementStartTime=GetGameTime();

				Recall(0.0);
			}
			else
			{
				DebugMessage(3, "Got no object");
				ObjectMovement=4;
			}
		}
		break;
	case 1:
		float TimeElapsed=GetGameTime()-ObjectMovementStartTime;

		if (TimeElapsed<fStartPitchTime)
		{
			SetHeight(idObjectMovementObj,
				(-cos(TimeElapsed/fStartPitchTime*RAD(180))+1)*0.5*fMaxHeight);
		}
		else if (GetPointPosition())
		{
			x=fTmp[0]-GetPosX(idObjectMovementObj);
			y=fTmp[1]-GetPosY(idObjectMovementObj);
			
			SetHeight(idObjectMovementObj,
				(cos((TimeElapsed-fStartPitchTime)/fPitchTime*RAD(180))+1)*0.5*(fMaxHeight-fMinHeight)+fMinHeight);

			fTmp[3]=sqrt(x*x+y*y);
			if (fTmp[3]>3)
			{
				x*=fMaxSpeed/fTmp[3];
				y*=fMaxSpeed/fTmp[3];
				SetKnockBackSpd(idObjectMovementObj, x, y);
			}
			else
			{
				SetPos(idObjectMovementObj, fTmp[0], fTmp[1]);
				SetKnockBackSpd(idObjectMovementObj, 0, 0);
			}
		}
		Recall(0.0);
		break;
	case 2:
		float TimeElapsed=GetGameTime()-ObjectMovementStartTime;

		SetHighlight(idObjectMovementObj, 0);

		ObjectMovementSpeed=-sin((TimeElapsed-fStartPitchTime)/fPitchTime*RAD(180))*0.5*(fMaxHeight-fMinHeight);
		ObjectMovementHeight=GetHeight(idObjectMovementObj);
		ObjectMovementStartTime=GetGameTime();

		ObjectMovement=3;
		Recall(0.0);
		break;
	case 3:
		float TimeElapsed=GetGameTime()-ObjectMovementStartTime;
		float fHeight=ObjectMovementHeight+(ObjectMovementSpeed*TimeElapsed)-(TimeElapsed*TimeElapsed*1000);
		if (fHeight<0.0)
		{
			fHeight=0.0;
			ObjectMovement=4;
		}
		else
		{
			Recall(0.0);
		}
		SetHeight(idObjectMovementObj, fHeight);
		break;
	case 4:
		break;
}