
string sID="HoratioSpawn";

int iCount=20;
string sCfgID[iCount];
iCount=0;
switch (HoratioCurRound)
{
// Tutorial
case -2:

	DialogNC("DB:demo_hortut1,2"); return;
	CloseDialog();
	sID="HoratioMiddleSpawn";
	sCfgID[iCount++]="combat_puppet";
	break;

case -1:
	for (iTmp=0; iTmp<7; iTmp++)
		sCfgID[iCount++]="shooting_target";
	break;

case 0:
	sID="HoratioMiddleSpawn";
	sCfgID[iCount++]="SP_Dodge_Obelisk";
	break;

// 1st round:
case 1:
	sCfgID[iCount++]="NK_Imp";
	sCfgID[iCount++]="NK_Imp";
	break;
// 2nd round:
case 2:
	sCfgID[iCount++]="NK_Imp";
	sCfgID[iCount++]="NK_Imp";
	sCfgID[iCount++]="NK_Imp";
	break;
// 3rd round:
case 3:
	sCfgID[iCount++]="NK_Imp";
	sCfgID[iCount++]="NK_Imp";
	sCfgID[iCount++]="NK_Imp_2_demo";
	break;
// 4th round:
case 4:
	sCfgID[iCount++]="NK_Imp";
	sCfgID[iCount++]="NK_Imp_2_demo";
	sCfgID[iCount++]="FK_Scorpion_demo";
	break;
}

int iSpawns=GetAllObjectsWithWorldID(sID);
int idSpawns[iSpawns];
for (int i=0; i<iSpawns; i++)
	idSpawns[i]=objList[i];

int idObj;

StartInGameSequence();
SetHealth(mc_ID, GetHitPoints(mc_ID));
SetCamObj(2, "SequenceHoratio1");
SetAI(mc_ID, "aim_at", "Heptagramm");
Wait(2); return;
PlaySpecialMusic("sound\\music\\arena.ogg");
while (iCount>0)
{
	idObj=idSpawns[int(rand()*iSpawns)];

	if ((GetNearestCreature(GetPosX(idObj), GetPosY(idObj), 32*2)!=-1)||
		(Distance(idObj, mc_ID)<32*4))
	{
//		Wait(0.1); return;
		continue;
	}
	iCount--;

	idObj=NPCSpawn(sCfgID[iCount], idObj);
	SetOnKill(idObj, "monster_kill.c");
	SetWorldID(idObj, "HoratiosMonster");

	SetParty(idObj, -2);
	if (HoratioCurRound<=0)
	{
		RequestRunScript("SetParty("+string(idObj)+", 0);", 2);
	}
	SetExperienceGain(idObj, 0.0, 0.0);

	FadeIn(idObj, 1.5);
	AddEffect("Flooreffect1", 0,0,0, idObj);

	Wait(0.5); return;
}
Wait(1); return;
EndInGameSequence();

SetOnKill(mc_ID, "mc_kill.c");

switch (HoratioCurRound)
{
case -2:
	Tutorial("DB:hortutt,1");
	break;
case -1:
	Tutorial("DB:hortutt,2");
	break;
case 0:
	Tutorial("DB:hortutt,3");
	break;
default:
	i=GetAllObjectsWithWorldID("HoratiosMonster");
	while (i-->0)
	{
		RequestRunScript("SetParty("+string(objList[i])+", 0); NPCAttack("+string(objList[i])+", mc_ID);", 0.5);
	}
	break;
}
