
int AddEffectObject(string sEffectID, float X, float Y, float Z)
{
	return AddEffectObject(sEffectID, X, Y, Z, -1);
}

int AddEffectObject(string sEffectID, float X, float Y, float Z, int idParent)
{
	return AddEffectObject(sEffectID, X, Y, Z, idParent, 0);
}

int AddEffectObject(string sEffectID, float X, float Y, float Z, int idParent, float fAngle)
{
	return AddEffectObject(sEffectID, X, Y, Z, idParent, fAngle, 0);
}

int AddEffectObject(string sEffectID, float X, float Y, float Z, int idParent, float fAngle, float fLifeSpan)
{
	iTmp[0]=AddObject("EffectObject", X,Y, fAngle, idParent);
	if (fLifeSpan>0.001)
		SetLifeSpan(iTmp[0], fLifeSpan+1.0);
	AddEffect(sEffectID, 0, 0, Z, iTmp[0], 0, 0, fLifeSpan);

	return iTmp[0];
}
