
void TeleportOut(int ID)
{
	AddEffect("TeleportOut", GetPosX(ID), GetPosY(ID), 10);

	RequestRunScript("FadeOut("+string(ID)+", 1);", 0.3);
}

void TeleportIn(int ID)
{
	FadeOut(ID, 0.001);

	AddEffect("TeleportIn", GetPosX(ID), GetPosY(ID), 10);

	RequestRunScript("FadeIn("+string(ID)+", 1);", 0.3);
}

void TeleportIn(int ID, string sObj)
{
	int idObj=GetObject(sObj);
	SetAngle(ID, GetAngle(idObj));
	SetPos(ID, GetPosX(idObj), GetPosY(idObj));

	TeleportIn(ID);
}

void Teleport(int ID, string sObj)
{
	int idObj = GetObject(sObj);

	if (ID==mc_ID)
	{
		StartInGameSequence();
		SetCamCreature(0, ID, 32, 128, 0, 35);
		SetCamCreature(1.4, ID, 32, 128, 0, 35);
		SetCamCreature(1.4, idObj, 32, 128, 0, 35);
		SetCamCreature(2.8, idObj, 32, 128, 0, 35);
		RequestRunScript("EndInGameSequence();", 2.8);
	}

	TeleportOut(ID);
	RequestRunScript("TeleportIn("+string(ID)+",\""+sObj+"\");", 1.5);
}
