
void AddTradeTreasure(int idCreature, string Treasure, float Migth, int Min, int Max, int SpecialItem, float SpecialItemProbability)
{
	int iCount=Min+int(rand()*float(Max-Min));
	int Special;

	float GorlinBoostEnchantFactor =2;

	while (iCount-->0)
	{
		if (Probability(SpecialItemProbability))
		{
			Special=SpecialItem;
		}
		else
		{
			Special=0;
		}

		AddTreasure(idCreature, Treasure, Migth, 0, Special, GorlinBoostEnchantFactor);
	}
}

void AddTradeTreasure(int idCreature, string Treasure, float Migth, int Min, int Max)
{
	AddTradeTreasure(idCreature, Treasure, Migth, Min, Max, -1, 1.0);
}

void AddTradeItems(int idCreature, float MigthAdd)
{
	float Migth=TradeMigth+MigthAdd;

	AddTradeTreasure(idCreature, "gorlin_bracer",   Migth, 6,8, 1, 0.2);
	AddTradeTreasure(idCreature, "gorlin_head",     Migth, 4,6, 1, 0.2);
	AddTradeTreasure(idCreature, "gorlin_pauldron", Migth, 6,8, 1, 0.2);
	AddTradeTreasure(idCreature, "gorlin_footware", Migth, 4,6, 1, 0.2);
	AddTradeTreasure(idCreature, "gorlin_belt",     Migth, 4,6, 1, 0.2);
	AddTradeTreasure(idCreature, "gorlin_gloves",   Migth, 4,6, 1, 0.2);
	AddTradeTreasure(idCreature, "gorlin_outfit",   Migth, 4,6, 1, 0.2);
	AddTradeTreasure(idCreature, "gorlin_weapon",   Migth, 4,6, 1, 0.2);

	AddTradeTreasure(idCreature, "gorlin_enchanted", Migth, 4,5, 2, 1.0);
}

void AddTradePotions(int idCreature, int HealthPotionsWeak, int HealthPotions, int HealthPotionsStrong, int ManaPotionsWeak, int ManaPotions, int ManaPotionsStrong)
{
	RemoveFromInventory(idCreature, "g_t_healthpotion_01", 1000);
	RemoveFromInventory(idCreature, "g_t_healthpotion_02", 1000);
	RemoveFromInventory(idCreature, "g_t_healthpotion_03", 1000);
	AddToInventory(idCreature,      "g_t_healthpotion_01", HealthPotionsWeak);
	AddToInventory(idCreature,      "g_t_healthpotion_02", HealthPotions);
	AddToInventory(idCreature,      "g_t_healthpotion_03", HealthPotionsStrong);

	RemoveFromInventory(idCreature, "g_t_manapotion_01",   1000);
	RemoveFromInventory(idCreature, "g_t_manapotion_02",   1000);
	RemoveFromInventory(idCreature, "g_t_manapotion_03",   1000);
	AddToInventory(idCreature,      "g_t_manapotion_01",   ManaPotionsWeak);
	AddToInventory(idCreature,      "g_t_manapotion_02",   ManaPotions);
	AddToInventory(idCreature,      "g_t_manapotion_03",   ManaPotionsStrong);
}

void GetTradeInventory(int idCreature, string sTimeCheckVar, float MightAdd, int InventorySlot)
{
	RunScript("fTmp[0]="+sTimeCheckVar+";");
	if ((fTmp[0]<0.0)||(fTmp[0]<GetGameTime()))
	{
		EmptyInventory(idCreature);
		AddTradeItems(idCreature, MightAdd);
		SaveInventory(idCreature, InventorySlot);
		RunScript(sTimeCheckVar+"="+string(GetGameTime()+0*3600+40*60+0)+";");
	}
	else
	{
		LoadInventory(idCreature, InventorySlot);
	}

	AddTradePotions(idCreature, 20, 20, 20, 20, 20, 20);
}

void SetTradeMigth(float fMight)
{
	TradeMigth=fMight;
	GorlinTradeGenerateNext=-1;
}
