// On init the Watcher script is loaded
// other initialization may be done
 
// structure of init.c file is the following
// at first story constants are declared
// then level constants seperated in theme blocks meaning variables are grouped by semantic meaning
// then level variables are initialized and declared
// then Work is done which has to be done to initialize level


// ============================================================================
// ||                  story variable constants                              ||
// ============================================================================

// ============================================================================

// ============================================================================


// ============================================================================
// ||                         level constants                                ||
// ============================================================================

// ============================================================================

// ============================================================================
 
// ============================================================================

NewLevelVariable("SpawnMonsterCount", "int");
SpawnMonsterCount=100;
NewLevelVariable("SpawnMonsters", "string", SpawnMonsterCount);
int i=0;
SpawnMonsters[i++]="#|c555Easy";
SpawnMonsters[i++]="Rat#  Rat";
SpawnMonsters[i++]="Imp#  Imp";
SpawnMonsters[i++]="Spider#  Spider";
SpawnMonsters[i++]="Crab#  Crab";
SpawnMonsters[i++]="Raga#  Raga";

SpawnMonsters[i++]="#\n|c555Medium";
SpawnMonsters[i++]="DemonMage#  DemonMage";
SpawnMonsters[i++]="Skeleton#  Skeleton";
SpawnMonsters[i++]="GhostStalker#  GhostStalker";
SpawnMonsters[i++]="Maggot#  Demon Maggot";
SpawnMonsters[i++]="Herald#  Herald of Morgath";
SpawnMonsters[i++]="Scorpion#  Crystal Scorpion";

SpawnMonsters[i++]="#\n|c555Hard";
SpawnMonsters[i++]="Wolgath#  Wolgath";
SpawnMonsters[i++]="DemonCrawler#  Demon Ripper";
SpawnMonsters[i++]="Lasa#  Lasa";
SpawnMonsters[i++]="Legionaire#  Legionaire with Shield";
SpawnMonsters[i++]="Legionaire2#  Legionaire with 2 Swords";
SpawnMonsters[i++]="MorgathDevil#  Morgath Devil";


SpawnMonsters[i++]="#\n|c555Boss";
SpawnMonsters[i++]="Harassys#  Harassys";
SpawnMonsters[i++]="Tertius#  Tertius";
SpawnMonsters[i++]="Fraazz#  Fraazz";
SpawnMonsters[i++]="Meganteolis#  Meganteolis";

SpawnMonsterCount=i;

// ============================================================================
// ||                         level variables                                ||
// ============================================================================



// ============================================================================
// ||                             level init                                 ||
// ============================================================================

for (i=0; i<SpawnMonsterCount; i++)
{
	SplitString(SpawnMonsters[i]);
	if (sTmp[0]!="");
//		PreloadObject(sTmp[0]);
}

i=0;
string BodyWear[100];

BodyWear[i++]="OutfitLight0";
BodyWear[i++]="OutfitNormal0";
BodyWear[i++]="OutfitHeavy0";
BodyWear[i++]="OutfitSuperHeavy0";

BodyWear[i++]="BracerLight0";
BodyWear[i++]="BracerNormal0";
BodyWear[i++]="BracerHeavy0";

BodyWear[i++]="PauldronLight0";
BodyWear[i++]="PauldronNormal0";
BodyWear[i++]="PauldronHeavy0";

BodyWear[i++]="BootsLight0";
BodyWear[i++]="BootsNormal0";
BodyWear[i++]="BootsHeavy0";

BodyWear[i++]="HatLight0";
BodyWear[i++]="HatNormal0";
BodyWear[i++]="HatHeavy0";

BodyWear[i++]="TrouserLight0";
BodyWear[i++]="Trouser0";
BodyWear[i++]="TrouserHeavy0";

BodyWear[i++]="Gloves0";
BodyWear[i++]="Gauntlets0";
BodyWear[i++]="Sash0";
BodyWear[i++]="Belt0";
BodyWear[i++]="Cord0";

int ID=GetObject("StuffChest");
for (int j=0; j<i*5; j++)
{
	AddToInventory(ID, BodyWear[int(j/5)]+string(j%5+1));
}	

#include "scripts\\crystal_cave2\\quests\\soul_crystal\\init.c"
