// On init the Watcher script is loaded
// other initialization may be done
 
// structure of init.c file is the following
// at first story constants are declared
// then level constants seperated in theme blocks meaning variables are grouped by semantic meaning
// then level variables are initialized and declared
// then Work is done which has to be done to initialize level


// ============================================================================
// ||                  story variable constants                              ||
// ============================================================================

//3 statues Story / Quest is in GameVars.c !!!



// ============================================================================
// ||                         level constants                                ||
// ============================================================================


// Quest of the 3 statues which are former Archmages

NewLevelVariable("nameStatue","String",3); //WorldID of Archmages' statues
nameStatue[0] = "Avangus";
nameStatue[1] = "Evena";
nameStatue[2] = "Malacius";

NewLevelVariable("nameOfPart","string",3); //worldID of Archmages missing tile
nameOfPart[0] = "Avangus\'\ Arm";
nameOfPart[1] = "Evena\'s\ Head";
nameOfPart[2] = "Malacius\'\ Leg";

NewLevelVariable("namePartItem","String",3); //ItemID of the statues parts
namePartItem[0] = "Stone Arm";
namePartItem[1] = "Stone Head";
namePartItem[2] = "Stone Leg";


//relative positioning of the parts while mounted
NewLevelVariable("partPosX","float",3);
partPosX[0] = 0;
partPosX[1] = 0;
partPosX[2] = 0;

NewLevelVariable("partPosY","float",3);
partPosY[0] = 0;
partPosY[1] = 0;
partPosY[2] = 0;

NewLevelVariable("partPosZ","float",3);
partPosZ[0] = 20; //warum auch immer 20!!!!!
partPosZ[1] = 20;
partPosZ[2] = 0;



NewLevelVariable("partKeyPos","int",3); //right key positions
partKeyPos[0]=2;
partKeyPos[1]=5;
partKeyPos[2]=0;
//the right combination is arm 3,head 7, leg 1

NewLevelVariable("maxPosPart","int"); //number of possible positions
maxPosPart = 6; //foot and head have 1 additional position!!!

NewLevelVariable("maxAniTimePart","float",3); //animation time length
maxAniTimePart[0] = 3;
maxAniTimePart[1] = 3;
maxAniTimePart[2] = 3;

NewLevelVariable("partAniLength","float",3); //animation time length
partAniLength[0] = 0.5;
partAniLength[1] = 10;
partAniLength[2] = 10;

float pi = 4*atan(1);

NewLevelVariable("maxAnglePart","float",3); //if not animated only turned in xy-plane, maxAngle of turning is defined
maxAnglePart[0] = pi/2;
maxAnglePart[1] = pi/2;
maxAnglePart[2] = pi/2;


NewLevelVariable("statueDoor","string"); //world ID of the secret door
statueDoor="statueSecretDoor";

NewLevelVariable("wallCfgID","string"); //wall ID of the secret door if it is a wall
wallCfgID = "dummyGreyMiddle";

NewLevelVariable("wallOptions","string"); //height or something similar
wallOptions="height1=256 height2=256";

NewLevelVariable("doorPos","float",4); //start and endposition if secret door is a wall
GetWallPos(statueDoor); //filling in the right coordinates used for fade in
doorPos[0] = fTmp[0];
doorPos[1] = fTmp[1];
doorPos[2] = fTmp[2];
doorPos[3] = fTmp[3];

NewLevelVariable("statueAngle","float",3); //part statue angle deviation from middle
statueAngle[0] = 0;
statueAngle[1] = 0;
statueAngle[2] = 0;

// ============================================================================

// ============================================================================
 
// ============================================================================

// ============================================================================
// ||                         level variables                                ||
// ============================================================================

//Positions of the body parts when mounted
NewLevelVariable("partPos","int",3);
partPos[0]=3;
partPos[1]=3;
partPos[2]=3;


NewLevelVariable("partActivated","int",3); //if manually animated nobody can intermediate animation
partActivated[0] = 0;
partActivated[1] = 0;
partActivated[2] = 0;




