
string sThis = "scripts\\kufstein_demo\\training\\severin.c";
string sTut = "scripts\\kufstein_demo\\training\\basic_tut.c";

int Severin = GetStory("DemoSeverin");
int idSeverin = GetObject("Severin");

int i;

switch (Severin)
{
	case 0:
		Exclamation(idSeverin, 0);
		DialogNC("Hello. My name is Severin. I will show you how to fight and cast spells. We can start right away if you want.", "OK, let's go.", "Thanks, I've had the tutorial already."); return;
		
		switch (dlgAnswer)
		{
			case 1:
				SetStory("DemoSeverin", 1);

				SeverinTut=0;
				SeverinTalked=0;
				RequestRunScript(sTut);
				break;

			case 2:
				CloseDialog();
				SetStory("DemoSeverin", 2);
				break;
		}
		break;

	case 1:
		if (SeverinTutEnd==1)
		{
			CloseDialog();
			SeverinTutEnd=0;
			SetStory("DemoSeverin", 2);

			if (MCSawLock==1)
				Exclamation(idSeverin, 1);
		}
		else
		{
			SeverinTalked=1;
			RequestRunScript(sTut);
		}
		break;

	case 2:
		if (MCSawLock==0)
		{
			DialogNC("That was it. I have shown you everything you need to know. If you want to look up everything you learned, open your help book with |i'H-Key'.", "Alright, I'll have a look around then. Bye."); return;
			CloseDialog();
		}
		else
		{
			DialogNC("Hey, back again. What can I do for you?", "Well, I saw the lock at the door, and there are two cogs missing."); return;
			DialogNC("Oh yes, you are right. I took them out to clean and oil them. Unfortunately, I left the cogs in the cellar.", "Well, why don't you bring them back?"); return;
			DialogNC("That's the problem. The cellar has lately been infested with imps. And you know... I'm... I'm afraid of imps.", "Hmm... I could go down there and fetch the cogs.", "Sounds dangerous. I don't think I want to go there.!"); return;
			switch (dlgAnswer)
			{
				case 1:
					Exclamation(idSeverin, 0);
					DialogNC("Really? Now that would be great. And also kill all the imps, please. Would you?", "OK, I'll do that.", "Hey, stop! I was only joking."); return;
					switch (dlgAnswer)
					{
						case 1:
							SetStory("DemoSeverin", 3);
							LoadLevel("levels\\kufstein_demo\\rats_cellar.cfg", "StartSeverinRoomFirst");
							CloseDialog();
							break;
						case 2:
							Exclamation(idSeverin, 1);
							CloseDialog();
							break;
					}
					break;
				case 2:
					CloseDialog();
					break;
			}
		}
		break;

	case 3:
		break;

	case 4:
		DialogNC("Have you killed all the imps?", "No, I haven't. They are too many."); return;
		DialogNC("Next time make more of an effort!", "I will see."); return;
		CloseDialog();
		break;

	case 5:
		DialogNC("Have you killed all the imps?", "Yes, I have."); return;
		Exclamation(idSeverin, 0);
		DialogNC("Very good. Here's some gold for you.", "Thank you."); return;
		CloseDialog();
		AddGold(mc_ID, 10);
		AddExperience(mc_ID, 150);
		SetStory("DemoSeverin", 6);
		break;

	case 6:
		DialogNC("Hello, my friend.", "Hi, do you have another job for me?"); return;
		DialogNC("No, sorry. No more jobs.", "OK, bye."); return;
		CloseDialog();
		break;
}
