
//scripts\past_secret_chambers\quests\Gyron\sequ_04_absorption.c
//SetCamObjScrShot("SequenceTertius6");

GyronAbsorption=1;

int idDoor=GetObject("NecMacDoor");
int idGyron=GetObject("Gyron");
int idWard1=GetObject("TertiusWard1");
int idWard2=GetObject("TertiusWard2");
int idTertius=GetObject("Tertius");
int idTertiusDead=GetObject("TertiusDead");
int idMachine=GetObject("NacMacPowerRotor"); 

FadeOutWorld(1, 1);
Wait(1.5); return;
SetFloorSize(100);

SetBoredCycle(idGyron, 0, 31);
SetCombatMode(idGyron, -2);
//SetCombatMode(idTertius, -1);
SetCombatMode(idTertius, -2);
if (IsInInventory(idGyron, "sc_wo_paintbrush"))
{
	RemoveFromInventory(idGyron, "sc_wo_paintbrush");
}

SetCombatMode(idWard1, -2);
SetCombatMode(idWard2, -2);

NPCVisible(idTertiusDead, 0);

NPCObj(idGyron, "GyronAbsorptionGoto1.0");
NPCObj(idWard1, "GyronAbsorptionWard1Goto1.0");
NPCObj(idWard2, "GyronAbsorptionWard2Goto1.0");
NPCObj(idTertius, "GyronAbsorptionTertiusGoto1.0");
NPCObj(idTertiusDead, "GyronAbsorptionTertiusGoto2.3");

NPCObj(mc_ID,  "GyronMCGoto1.0");

StartIngameSequence();

SetCamObj(0, "SequenceTertius0");
SetCamObjRel(1.3, "SequenceTertius0a");
NPCPath(mc_ID,  "GyronMCGoto1.", 1);
FadeOutWorld(0, 1);
Wait(3); return;

SetMoveSpd(idWard1, 101);
SetMoveSpd(idWard2, 102);
NPCPath(idGyron, "GyronAbsorptionGoto1.", 3);
Wait(0.05); return;
NPCPath(idWard1, "GyronAbsorptionWard1Goto1.", 3);
Wait(0.05); return;
NPCPath(idWard2, "GyronAbsorptionWard2Goto1.", 3);

//SetCamObj(0, "SequenceTertius0a");
SetCamObj(0, "SequenceTertius1");
Wait(2.2); return;

SetCamObj(0, "SequenceTertius1");
SetCamObjRel(7, "SequenceTertius1a");

Wait(0.5); return;

if( GetUseState(idDoor)==0)
{
	SetNeedKey(idDoor, -1);
	Use(idDoor, idDoor);
}

Wait(5.5); return;


NPCPath(idTertius, "GyronAbsorptionTertiusGoto1.", 2);
Wait(2.5); return;
SetCamObj(0, "SequenceTertius2");

Wait(5); return;


SetBoredCycle(idTertius, 0, 13);
Wait(0.2); return;
SubTitle("DB:sctaertius,1");


Wait(8); return;


Use(idDoor, idDoor);
SetCamObj(0, "SequenceTertius2");
SetCamObjRel(3, "SequenceTertius3");
SetBoredCycle(idTertius, 0, 31);
NPCPath(idTertius, "GyronAbsorptionTertiusGoto2.", 3);
Wait(1.5); return;
SubTitle("");
Wait(1.5); return;
SetCamObj(0, "SequenceTertius3");
SetCamObj(0, "SequenceTertius4");
SetCamObjRel(4, "SequenceTertius4a");

Wait(0.5); return;
NPCPath(idGyron, "GyronAbsorptionGoto2.", 3);
Wait(0.3); return;
NPCPath(idWard2, "GyronAbsorptionWard2Goto2.", 3);
Wait(0.5); return;
NPCPath(idWard1, "GyronAbsorptionWard1Goto2.", 4);

/*
DisableInput(0); 
NPCObj(mc_ID, "GyronAbsorptionWard1Goto2.3");
EnableInput(0);
*/

Wait(2.5); return;
SetCamObj(0, "SequenceTertius4a");
SetCamObjRel(5, "SequenceTertius5");

Wait(6); return;
SetCamObj(0, "SequenceTertius5");
SetCamObjRel(2.6, "SequenceTertius6");

Wait(1.5); return;
SetUses(GetObject("NecMacLever"), 1);
Use(idWard1, GetObject("NecMacLever"));
Wait(0.9); return;
PlayAniCycle(idWard1, "graphics\\npc\\char01\\St22_PullLever.3sc");
//Wait(0.3); return;

Wait(1.5); return;
PlaySound("sc_turn_necro_on");
Wait(1.5); return;
SetCamObj(0, "SequenceTertius6a");
Wait(0.5); return;
EarthQuake(GetPosX(idMachine), GetPosY(idMachine), 2, 2);
Wait(2.5); return;

SetCamObj(0, "SequenceTertius7");
Wait(0.5); return;
AddEffect("necro_leech", 0,0,0, idTertius, 0, 3.8);
PlaySound("sc_Suck_energy_mage_01");

Wait(0.3); return;

PlayAniCycle(idTertius, "graphics\\npc\\char01\\st19_BrainSuck.3sc");
PlayAniCycle(idTertiusDead, "graphics\\npc\\char01\\st19_BrainSuck.3sc");

Wait(1.9); return;

/*
for(int i=0; i<5; i++)
{
	NPCVisible(idTertius, 1);
	NPCVisible(idTertiusDead, 0);
	Wait(0.2); return;
	NPCVisible(idTertius, 0);
	NPCVisible(idTertiusDead, 1);
	Wait(0.1); return;
}
*/

//remove this, if for block is used
Wait(1.3); return;
NPCVisible(idTertius, 0);
NPCVisible(idTertiusDead, 1);
Wait(0.2); return;
//

NPCVisible(idTertius, 1);
NPCVisible(idTertiusDead, 0); // had an "invalid object" error at this line  
Wait(0.2); return;

RemoveForcedActions(idTertius, 1000);
Kill(idTertius);
RemoveObject(idTertiusDead);

Wait(2); return;

SetCamObj(0, "SequenceTertius8");
Wait(1); return;
AddEffect("necro_donate", 0,0,0, idGyron, 0, 5.7);
Wait(0.2); return;
PlayAniCycle(idGyron, "graphics\\npc\\char01\\St21_BrainSuck_Into_Brain.3sc");

Wait(1); return;
SetAI(idWard1, "AIM_AT", idGyron);
SetAI(idWard2, "AIM_AT", idGyron);
PlaySound("sc_Give_energy_mage_01");
Wait(6.1); return;
SetImmortal(idGyron, 1);
SetCombatMode(idGyron, 1);
SetAIStrategy(idGyron, "DefaultAttack");
SetParty(idGyron, 1);
SubTitle("DB:gyron,6");
SetUses(idGyron, 0);
Wait(0.5); return;

SetAI(idGyron, "AIM_AT", idWard2);
Wait(0.3); return;
DoAction(idGyron, "MonsterDefaultAttack");
PlaySpecialMusic("musicFight");
Wait(0.5); return;
SetAI(idGyron, "CHANGE_STRATEGY", "SP_Gyron");
EnableInput(1);
SetCombatMode(idWard1, 1);
SetCombatMode(idWard2, 1);
DoAction(idWard2, "DemonSmash");
NPCPathCall(idWard1, "GyronAbsorptionWard1Goto3.", 1, "NPCAttack("+string(idWard1)+", "+string(idGyron)+");"); 
Wait(1); return;

SetCamObj(0, "SequenceTertius8");
SetCamObjRel(3, "SequenceTertius11");
Wait(2); return;
SubTitle("");
Wait(2); return;

//EndIngameSequence();
SetCameraMode(0);
SetGameMode(0);
SetFloorSize(0);

Wait(0.5); return;
EnableInput(0);
Wait(2); return;



