//Dialog Rufus the Doofus
//Quest 04, fight for the jausenbrot
//#410 Lounge

int idRufus=GetObject("Rufus");

void StartFight()
{
	SetSpecialMark(idRufus, 0);
	RequestRunScript("scripts\\seminarrooms\\quests\\rufus\\sequ_01_arena.c");
}

void StartFightInside()
{
	RequestRunScript("scripts\\seminarrooms\\quests\\rufus\\start_fight.c");
}

#include "scripts\\seminarrooms\\functions\\arena_door.c"
void KickMC()
{
	SetArenaDoor(1);

	SetParty(idRufus, 0);
	SetAIStrategy(idRufus, "BM_Rufus_NoMoney");
}

void KickMCInside()
{
	KickMC();
}

void CallHoratio()
{
	RufusHoratio=0;
	RequestRunScript("scripts\\seminarrooms\\quests\\rufus\\sequ_02_horatio.c");
}

void GoBack(int Mark)
{
	SetUses(idRufus, 0);

	SetArenaDoor(1);
	NPCPathCall(idRufus, "RufusArenaGoto2.", 3, "SetUses(obj[0], -1); SetSpecialMark("+string(idRufus)+","+string(Mark)+");");
}

if (MalvarenMCGoesToHoratio)
{
	DialogNC("DB:ruf1,1"); return;
	CloseDialog();
	return;
}

switch(dlgRufus)
{
case 0:
	DialogNC("DB:ruf2,1"); return;
	switch (dlgAnswer)
	{
	case 1:
		DialogNC("DB:ruf2,2"); return;
		switch (dlgAnswer)
		{
		case 1:
			CloseDialog();

			dlgRufus=1;

			StartFight();
			break;
		case 2:
			DialogNC("DB:ruf2,3"); return;
			CloseDialog();

			dlgRufus=1;

			StartFight();
			break;
		}
		break;
	case 2:
		DialogNC("DB:ruf2,4"); return;
		switch (dlgAnswer)
		{
		case 1:
			DialogNC("DB:ruf2,5"); return;
			switch (dlgAnswer)
			{
			case 1:
				DialogNC("DB:ruf2,6"); return;
				CloseDialog();

				dlgRufus=1;

				StartFight();
				break;
			case 2:
				CloseDialog();

				dlgRufus=1;

				StartFight();
				break;
			}
			break;
		case 2:
			if (GetGold(mc_ID)<5)
			{
				DialogNC("DB:ruf,1"); return;
				CloseDialog();

				KickMC();
			}
			else
			{
				CloseDialog();

				AddGold(mc_ID, -5);
			}

			dlgRufus=6;
			break;
		case 3:
			CloseDialog();

			dlgRufus=6;

			KickMC();
			break;
		}
		break;
	case 3:
		CloseDialog();
		break;
	}
	break;

case 1:
	if (RufusWon==0)
	{
		DialogNC("DB:ruf6,1"); return;
		switch (dlgAnswer)
		{
		case 1:
			CloseDialog();
			
			dlgRufus=4;

			GoBack(1);
			break;
		case 2:
			AddToInventory(mc_ID, "sr_q_snack_01");
			DialogNC("DB:ruf6,2"); return;
			switch (dlgAnswer)
			{
			case 1:
				CloseDialog();

				dlgRufus=4;

				GoBack(1);
				break;
			case 2:
				AddGold(mc_ID, 5);
				DialogNC("DB:ruf6,3"); return;
				switch (dlgAnswer)
				{
				case 1:
					CloseDialog();

					dlgRufus=4;

					GoBack(1);
					break;
				case 2:
					CloseDialog();

					dlgRufus=5;

					StartFightInside();
					break;
				}
				break;
			}
			break;
		}
	}
	else
	{
		DialogNC("DB:ruf3,1"); return;
		switch (dlgAnswer)
		{
		case 1:
		case 2:
			if (GetGold(mc_ID)<5)
			{
				DialogNC("DB:ruf13,1"); return;
				CloseDialog();

				dlgRufus=2;

				KickMCInside();
			}
			else
			{
				CloseDialog();

				dlgRufus=2;

				AddGold(mc_ID, -5);

				GoBack(1);
			}

			dlgRufus=2;
			break;
		case 3:
			CloseDialog();

			dlgRufus=2;

			KickMCInside();
			break;
		}
	}
	break;

case 2:
	DialogNC("DB:ruf4,1"); return;
	switch (dlgAnswer)
	{
	case 1:
		CloseDialog();

		dlgRufus=3;

		StartFight();
		break;
	case 2:
		CloseDialog();
		break;
	}
	break;

case 3:
	if (RufusWon==0)
	{
		DialogNC("DB:ruf7,1"); return;
		DialogNC("DB:ruf7,2"); return;
		switch (dlgAnswer)
		{
		case 1:
			AddToInventory(mc_ID, "sr_q_snack_01");
			CloseDialog();

			dlgRufus=7;

			GoBack(0);
			break;
		case 2:
			AddGold(mc_ID ,5);
			DialogNC("DB:ruf7,3"); return;
			switch (dlgAnswer)
			{
			case 1:
				CloseDialog();

				dlgRufus=7;

				GoBack(0);
				break;
			case 2:
				DialogNC("DB:ruf7,4"); return;
				CloseDialog();

				dlgRufus=7;

				CallHoratio();
				break;
			}
			break;
		}
	}
	else
	{
		DialogNC("DB:ruf5,1"); return;

		if (GetGold(mc_ID)<5)
		{
			DialogNC("DB:ruf13,1"); return;
			CloseDialog();

			KickMCInside();
		}
		else
		{
			CloseDialog();

			AddGold(mc_ID, -5);

			GoBack(0);
		}

		dlgRufus=7;
	}
	break;

// After MC won first fight
case 4:
	DialogNC("DB:ruf9,1"); return;
	switch (dlgAnswer)
	{
	case 1:
		CloseDialog();
		break;
	case 2:
		CloseDialog();

		dlgRufus=5;

		StartFight();
		break;
	}
	break;

// Fight after MC won first fight
case 5:
	if (RufusWon==0)
	{
		DialogNC("DB:ruf8,1"); return;
		switch (dlgAnswer)
		{
		case 1:
			AddGold(mc_ID, 5);
			CloseDialog();

			dlgRufus=7;

			GoBack(1);
			break;
		case 2:
			AddGold(mc_ID, 10);
			DialogNC("DB:ruf7,3"); return;
			switch (dlgAnswer)
			{
			case 1:
				CloseDialog();

				dlgRufus=7;

				GoBack(0);
				break;
			case 2:
				DialogNC("DB:ruf7,4"); return;
				CloseDialog();

				dlgRufus=7;

				CallHoratio();
				break;
			}
			break;
		}
	}
	else
	{
		DialogNC("DB:ruf10,1"); return;
		switch (dlgAnswer)
		{
		case 1:
			RemoveFromInventory(mc_ID, "sr_q_snack_01");
		case 2:
			if (GetGold(mc_ID)<5)
			{
				DialogNC("DB:ruf13,1"); return;
				CloseDialog();

				KickMCInside();
			}
			else
			{
				AddGold(mc_ID, -5);
				CloseDialog();

				GoBack(0);
			}

			dlgRufus=7;
			break;
		case 3:
			Dialog("DB:ruf7,4"); return;
			CloseDialog();

			dlgRufus=7;

			CallHoratio();
			break;
		}
	}
	break;

case 6:
	DialogNC("DB:ruf11,1"); return;
	switch (dlgAnswer)
	{
	case 1:
		if (GetGold(mc_ID)<5)
		{
			DialogNC("DB:ruf13,1"); return;
			CloseDialog();

			KickMC();
		}
		else
		{
			CloseDialog();

			AddGold(mc_ID, -5);
		}

		dlgRufus=7;
		break;
	case 2:
		CloseDialog();

		dlgRufus=3;

		StartFight();
		break;
	}
	break;

// The final end
case 7:
	DialogNC("DB:ruf12,1"); return;
	CloseDialog();
	break;
	
default:
	DebugMessage(3,"ERROR: dlgRufus invalid value (",dlgRufus,")");
	exit;
}
