
void BoilerAni(int ID)
{
	float fRatio=GetObjectFloat(ID, 1)/GetObjectFloat(ID, 3);
	int iOldCycle=int(GetObjectFloat(ID, 2));

	if (fRatio<0.0)
	{
		fTmp[0]=fRatio*(-2);
		if (fTmp[0]>1.0)
			fTmp[0]=1.0;
		SetColorAdd(ID, 0.4*fTmp[0], 0.6*fTmp[0], 0.8*fTmp[0]);
	}
	else
	{
		fTmp[0]=pow(fRatio, 4.5);
		if (fTmp[0]>1.0)
			fTmp[0]=1.0;
		SetColorAdd(ID, 0.5*fTmp[0], 0.0*fTmp[0], 0.0*fTmp[0]);
	}

	if (fRatio<-0.1)
	{
		if (iOldCycle!=-1)
		{
			SetObjectFloat(ID, -1, 2);

			SetObjectAni(ID, 0, 0, 0);
			SetLoopAni(ID, 0);

			SetObjectSound(ID, 5, "");
			PlaySound("sr_Freeze_Pot", GetPosX(ID), GetPosY(ID));

			iTmp[0]=int(GetObjectFloat(ID, 4));
			if (iTmp[0]>=0)
			{
				SetLifeSpan(iTmp[0], 0.0);
				SetObjectFloat(ID, -1, 4);
			}
		}
	}
	else if (fRatio<0.1)
	{
		if (iOldCycle!=0)
		{
			SetObjectFloat(ID, 0, 2);

			SetObjectAni(ID, 0, 0, 0);
			SetLoopAni(ID, 0);

			SetObjectSound(ID, 5, "");

			iTmp[0]=int(GetObjectFloat(ID, 4));
			if (iTmp[0]>=0)
			{
				SetLifeSpan(iTmp[0], 0.0);
				SetObjectFloat(ID, -1, 4);
			}
		}
	}
	else if (fRatio<0.45)
	{
		if (iOldCycle!=1)
		{
			SetObjectFloat(ID, 1, 2);

			SetObjectAni(ID, 0.166666, 0.833333, 0.16666);
			SetAniSpeed(ID,1.0);
			SetLoopAni(ID, 1);

			SetObjectSound(ID, 5, "sr_bubbling_pot_low");

			iTmp[0]=int(GetObjectFloat(ID, 4));
			if (iTmp[0]>=0)
				SetLifeSpan(iTmp[0], 0.0);
			SetObjectFloat(ID,AddObject("KaliosMachineSteam1", 0, 0, 0, ID),4);
		}
	}
	else if (fRatio<0.8)
	{
		if (iOldCycle!=2)
		{
			SetObjectFloat(ID, 2, 2);

			SetObjectAni(ID, 1.0, 2.333333, 1.0);
			SetAniSpeed(ID,2.0);
			SetLoopAni(ID, 1);

			SetObjectSound(ID, 5, "sr_bubbling_pot_rising");

			iTmp[0]=int(GetObjectFloat(ID, 4));
			if (iTmp[0]>=0)
				SetLifeSpan(iTmp[0], 0.0);
			SetObjectFloat(ID,AddObject("KaliosMachineSteam2", 0, 0, 0, ID),4);
		}
	}
	else if (fRatio<1.0)
	{
		if (iOldCycle!=3)
		{
			SetObjectFloat(ID, 3, 2);

			SetObjectAni(ID, 2.33333, 3.666666, 2.33333);
			SetAniSpeed(ID,3.0);
			SetLoopAni(ID, 1);

			SetObjectSound(ID, 5, "sr_bubbling_pot_high");

			iTmp[0]=int(GetObjectFloat(ID, 4));
			if (iTmp[0]>=0)
				SetLifeSpan(iTmp[0], 0.0);
			SetObjectFloat(ID,AddObject("KaliosMachineSteam3", 0, 0, 0, ID),4);
		}
	}
	else
	{
		if (iOldCycle!=4)
		{
			SetObjectFloat(ID, 4, 2);
			RequestRunScript("SetObjectFloat("+string(ID)+",0, 2);", 1.5);

			SetObjectAni(ID, 3.66666, 4.66666, 3.66666);
			SetAniSpeed(ID,1.0);
			SetLoopAni(ID, 0);

			SetObjectSound(ID, 5, "");
			PlaySound("sr_bubbling_pot_bum", GetPosX(ID), GetPosY(ID));

			iTmp[0]=int(GetObjectFloat(ID, 4));
			if (iTmp[0]>=0)
			{
				SetLifeSpan(iTmp[0], 0.0);
				SetObjectFloat(ID, -1, 4);
			}
			AddEffect("NPC_Kalios_Explosion", 0,0,75, ID);
			ExplosionDamageMagic(GetPosX(ID),GetPosY(ID), 500,1, 64,32);

			float fAngle[3];
			fAngle[0]=RAD(40);
			fAngle[1]=RAD(0);
			fAngle[2]=RAD(-40);

			// Spaw fire dwarfs
			for (int i; i<3; i++)
			{
				AddEffect("FireDwarfTrail", 0,0,0, ID, fAngle[i]);

				fTmp[0]=GetPosX(ID)+cos(GetAngle(ID)+fAngle[i])*128.0;
				fTmp[1]=GetPosY(ID)+sin(GetAngle(ID)+fAngle[i])*128.0;
				RequestRunScript("fTmp[0]="+string(fTmp[0])+";\n"+
								 "fTmp[1]="+string(fTmp[1])+";\n"+
								 "fTmp[2]="+string(GetAngle(ID)+fAngle[i])+";\n"+
								 "#include \"scripts\\\\seminarrooms\\\\quests\\\\kalios\\\\spawn_dwarf.c\"",
								 0.8);
			}
		}
	}
}
