int floatCompare(float f1,float f2) {
	return int(f1*10000+0.5)==int(f2*10000+0.5);
}

float manaCosts=100.0;

float fieldWidth = 420.0; 
float duration = 8.0;
float frequency = 0.2;

float damage=20.0;  // also set in action.cfg for display
float explosionRadius=64.0;
int damageType=0;

void meteor(int x,int y) {
	int x1,y1,x2,y2;

	float r,a;
	
	a=rand()*6.283;
	r=sqrt(rand());
	r*=fieldWidth*0.5;

	x1=x+cos(a)*r;
	y1=y+sin(a)*r;

	a=rand()*6.283;
	r=sqrt(rand());
	r*=fieldWidth*0.5;

	x2=x+cos(a)*r;
	y2=y+sin(a)*r;

	if(floatCompare(GetIntersection(x, y, x1, y1, 1),1.0)) 
	{
		AddEffect("F_S_Shower",x1,y1,0,-1,0,3);
		RequestRunScript("ExplosionDamageMagic("+string(x1)+","+string(y1) +","+string(TransformBySpellPower(mc_ID, damage))+", 0, 1,"+string(explosionRadius)+",0,"+string(mc_ID)+","+string(damageType)+");SetLifeSpan(AddObject(\"F_S_Shower_Event\","+string(x1)+","+string(y1)+"),1.0);",0.2);
	}
	Wait(0.2);return;
	if(floatCompare(GetIntersection(x, y, x2, y2, 1),1.0)) 
	{
		AddEffect("F_S_Shower",x2,y2,0,-1,0,3);
		RequestRunScript("ExplosionDamageMagic("+string(x2)+","+string(y2) +","+string(TransformBySpellPower(mc_ID, damage))+", 0, 1,"+string(explosionRadius)+",0,"+string(mc_ID)+","+string(damageType)+");SetLifeSpan(AddObject(\"F_S_Shower_Event\","+string(x2)+","+string(y2)+"),1.0);",0.2);
	}
}


if(GetValidCursorPoint()) {
	if(GetMana(mc_ID)>=manaCosts)
	{
		SubtractMana(manaCosts);

		float x=fTmp[0];// - (fieldWidth/2);
		float y=fTmp[1];// - (fieldWidth/2);
		PlaySound("F_S_Shower");
		AddEffect("F_S_Shower_Special",mc_posX,mc_posY,0);
		Wait(0.8); return;
		while(duration>=0) {
			meteor(x,y);
			Wait(0.2);return;
			duration=duration - (frequency*2);
		}
	}
	else {
		NotifyNoMana(mc_ID);
	}
} else {
	PlaySound("GuiError");
	Message("DB:invalidtarget");
	ClearAction(obj[0]);
}






