float manaCosts=30; // Achtung: Kosten auch in der Actions.cfg einstellen

int FireWallSize=2;
string cidLight="F_F_Wall_01_light_event";
string cidEffect="F_F_Wall_01";
string cidEvent="F_F_Wall_01_event";
float EventDist=52;
float EventSize=26;

if(!GetValidCursorPoint()) 
{
	PlaySound("GuiError");
	Message("DB:invalidtarget");
	return;
}

if(GetMana(mc_ID)>=manaCosts) {

	float MPosX=fTmp[0], MPosY=fTmp[1];

	float Angle=GetAngle(obj[0]);
	float WDirX=-sin(Angle), WDirY=cos(Angle);
	
	float x,y;
	int id;

	SubtractMana(manaCosts);
	id=AddObject(cidLight,MPosX,MPosY);
	SetLifeSpan(id,11.0);
	AddEffect(cidEffect, MPosX, MPosY, 0, -1, Angle, 11.0);

	int i,j,k;
	for (i=-FireWallSize; i<=FireWallSize; i++)
	{
		x=MPosX+WDirX*i*EventDist;
		y=MPosY+WDirY*i*EventDist;

		id=AddObject(cidEvent, x, y,Angle);
		SetCreator(id,obj[0]);
		SetLifeSpan(id,10.0);
		if(i==0)
		{
			PlaySound("F_F_Wall_01",id);
		}

		k=GetAllObjectsWithinRadius(x,y,EventSize);
		while(k-->0)
		{
			if(IsCreature(objList[k]))
			{
				ActivateEvent(id,objList[k]);
			}
			else if(((GetWorldID(objList[k])=="crab_oil_01") || (GetWorldID(objList[k])=="crab_oil_02")))
			{
				DamageMagic(objList[k],1,10.0);
			}
		}
	}
} else NotifyNoMana(mc_ID);
