// A function that animates the stone parts in the 3Statue Quest
// temporarily for the arm an animation is used for foot and head only an angle twister

//input: statueObjID = objID of Statue
//       partPos = current position of part
//output: new Position of part


int animatePart(int statueObjID,int partPos,int animate){

  int partNumber = 0; // Selecting partNumber:
  int partObj = 0; //objID part
  switch (GetWorldID(statueObjID)){
  case nameStatue[partNumber]:
    partObj = GetObject(nameOfPart[partNumber]);
  
    float aniTime = GetAniTime(partObj,""); //animation time of current part
    if (int(aniTime/partAniLength[partNumber]) != partPos) aniTime = partPos*partAniLength[partNumber]; //if animation time ist not an integer multiply of partPos
    if (!animate) 
      {
	SetObjectAni(partObj,aniTime,aniTime,aniTime);
	return partPos;
      }
    
  float endTime = aniTime + partAniLength[partNumber]; //new endTime
    if (endTime  > maxAniTimePart[partNumber]) endTime = maxAniTimePart[partNumber]; //endTime too large
    if (aniTime == maxAniTimePart[partNumber]) SetObjectAni(partObj,0,0,0);
    //maxpos is the first position
    SetObjectAni(partObj,aniTime,endTime,aniTime);// now animation starts

    if (partPos + 1 >= maxPosPart) partPos = 0; // setting partpos correctly
    else partPos ++;
    return partPos;
    exit;

  case nameStatue[1]:
    partNumber=1;
    float stAngle=statueAngle[1];
    break;
  case nameStatue[2]:
    partNumber=2;
    float stAngle=statueAngle[2];   
    break;
  default:
    partNumber=-1; //to create an error if no match!!!
  }
  partObj = GetObject(nameOfPart[partNumber]);
  float currentAngle = stAngle-float(maxAnglePart[partNumber])*(+0.5 - float(partPos)/float(maxPosPart));
  float maxIncrement = maxAnglePart[partNumber]/float(maxPosPart);
  float angleIncrement = maxIncrement/float(partAniLength[partNumber]);
  float timeIncrement = maxAniTimePart[partNumber]/float((maxPosPart*partAniLength[partNumber]));

  if (!animate)
    {
      SetAngle(partObj,currentAngle);
      return partPos;
    }
  if (partPos == maxPosPart) //moving back to 0
    {
      
      DebugMessage(10,"for loop goes in: ", angleIncrement, " pieces from ", currentAngle, " to ", (currentAngle-maxIncrement*float(maxPosPart)));
      for (float f=0; f <= maxIncrement*float(maxPosPart);f += angleIncrement)
	{
	  SetAngle(partObj,currentAngle-f);
	  Wait(timeIncrement/float(maxPosPart));return;
	}
      SetAngle(partObj,stAngle-0.5*float(maxAnglePart[partNumber]));
    }
  else{
    
    DebugMessage(10,"for loop goes in: ", angleIncrement, " pieces from ", currentAngle, " to ", (currentAngle+maxIncrement));
    for (float f=0;f <= maxIncrement;f += angleIncrement)
      {
	SetAngle(partObj,currentAngle+f);
	Wait(timeIncrement);return;
      }
    SetAngle(partObj,currentAngle+maxIncrement);
  }
  if (partPos >= maxPosPart) partPos = 0;
  else partPos ++;
  return partPos;
}

