
void AutoDoorClose(int idDoor, float fDistance)
{
	if (GetWallUseState(idDoor)==0) return;

	int i;
	string sID;

	GetWallPos(idDoor);

	if ( Distance(mc_ID, (fTmp[0]+fTmp[2])/2, (fTmp[1]+fTmp[3])/2)>32*fDistance )
	{
		sID=GetWallWorldID(idDoor);
		if (sID!="")
		{
			i=GetAllWallsWithWorldID(sID);
		}
		else
		{
			i=1;
			objList[0]=idDoor;
		}

		while (i-->0)
		{
			SetWallUseState(objList[i], 0);
		}
	}
	else
		RequestRunScript("AutoDoorClose("+string(idDoor)+","+string(fDistance)+");", 0.5);
}

void AutoDoorClose(int idDoor)
{
	AutoDoorClose(idDoor, 5);
}

void AutoDoorCallOnClose(int idDoor, string sFile)
{
	if (GetWallUseState(idDoor)==0)
	{
		RequestRunScript(sFile,1);
		return;
	}
	else
	{
		for (int i=strlen(sFile)-1; i>=0; i--)
		{
			if (sFile[i]=="\\")
				sFile[i]="\\\\";
		}
		RequestRunScript("AutoDoorCallOnClose("+string(idDoor)+",\""+sFile+"\");", 0.5);
	}
}

void AutoDoorOpen(float fDistance)
{
	int iState=GetWallUseState(obj[0]);
	string sID=GetWallWorldID(obj[0]);
	int i;

	if (sID!="")
	{
		i=GetAllWallsWithWorldID(sID);
	}
	else
	{
		i=1;
		objList[0]=obj[0];
	}

	if (iState==1)
	{
		float nx, ny, fDist;
		while (i-->0)
		{
			GetWallPos(objList[i]);
			nx=fTmp[3]-fTmp[1];
			ny=fTmp[0]-fTmp[2];
			if (nx*mc_posX+ny*mc_posY-(nx*fTmp[0]+ny*fTmp[1])<0)
			{
				SetWallDoor(objList[i], 1);
			}
			else
			{
				SetWallDoor(objList[i], 2);
			}
			SetWallUseState(objList[i], 1);
			SetWallNeedKey(objList[i], -1);
			RequestRunScript("AutoDoorClose("+string(objList[i])+","+string(fDistance)+");", 1.1);
		}
	}
	else
	{
		while (i-->0)
		{
			SetWallUseState(objList[i], 0);
		}
	}
}

void AutoDoorOpen(float fDistance, string sFile)
{
	AutoDoorOpen(fDistance);

	AutoDoorCallOnClose(obj[0], sFile);
}

void DoorsState(string sID, int iState)
{
	int iCount=GetAllWallsWithWorldID(sID)-1;
	for (; iCount>=0; iCount--)
	{
		SetWallUseState(objList[iCount], iState);
	}
}

void DoorsNeedKey(string sID, int iKey)
{
	int iCount=GetAllWallsWithWorldID(sID)-1;
	for (; iCount>=0; iCount--)
	{
		SetWallNeedKey(objList[iCount], iKey);
	}
}

void AutoObjectDoorClose(int ID, float fDist)
{
	if (GetUseState(ID)==0) return;
	if ((GetUses(ID)!=0)&&(Distance(mc_ID, ID)>fDist*32))
	{
		Use(mc_ID, ID);
	}
	else
	{
		RequestRunScript("AutoObjectDoorClose("+string(ID)+","+string(fDist)+");", 0.5);
	}
}
