
void end()
{
	CloseGui();
}

void HelpMe(int iFunc)
{
	obj[0]=iFunc;
	RunScript("scripts\\script_help.c");
}

void Cheat(string sFunc)
{
	switch (sFunc)
	{
	case "health":
		Message(3, "CHEAT: Full health");
		if (IsMCDead())
		{
			Message(3, "CHEAT: You are revived");
			Revive(mc_ID, 0);
		}
		else
		{
			SetHealth(mc_ID, GetHitPoints(mc_ID));
		}
		break;

	case "mana":
		Message(3, "CHEAT: Full mana");
		SetMana(mc_ID, GetManaMax(mc_ID));
		break;

	default:
		Message(3,"Sorry, "+string(sFunc)+"is no existing cheat (maybe with param)");
		break;
	}
}

void Cheat(string sFunc, int iParam)
{
	switch (sFunc)
	{
		case "health":
			Message(3, "CHEAT: Set "+string(iParam)+" health");
			SetHitPoints(mc_ID, iParam);
			break;

		case "mana":
			Message(3, "CHEAT: Set "+string(iParam)+" mana");
			SetManaMax(mc_ID, iParam);
			SetMana(mc_ID, iParam);
			break;

		case "strength":
			Message(3, "CHEAT: Added "+string(iParam)+" to strength");
			AddStrength(mc_ID, iParam);
			break;

		case "experience":
			Message(3, "CHEAT: Added "+string(iParam)+" experience");
			AddExperience(mc_ID, iParam);
			break;

		case "advance":
			Message(3, "CHEAT: Added "+string(iParam)+" advance-points");
			AddAdvancePoints(mc_ID, iParam);
			break;

		case "spell":
			Message(3, "CHEAT: Added "+string(iParam)+" to spell-power");
			AddSpellPower(mc_ID, iParam);
			break;

	default:
		Message(3,"Sorry, "+string(sFunc)+"is no existing cheat (maybe without param)");
		break;
	}
}

void EndSequ()
{
	// Stops an In-Game-Sequ.
	EnableInput(0);
	SetGameMode(0);
	SetCameraMode(0);

	FadeIn(mc_ID, 1);
}

void Level(float fLevel)
{
	int iLevel=0;
	int iHealth=0;
	int iMana=0;

	UnlearnSkill("all");

	if (0.0<=fLevel)
	{
		iLevel=0;

		iHealth=30;
		iMana=20;

		LearnSkill("DodgeLeft");
		LearnSkill("DodgeRight");
		LearnSkill("DodgeBack");
		LearnSkill("DodgeFront");

		LearnSkill("Punch");
		LearnSkill("VerticalStrike");

		LearnSkill("MagicBolt");
	}
	if (1.0<=fLevel)
	{
		iLevel+=1;

		iHealth+=2;
		iMana+=2;

		LearnSkill("MagicFist");
		LearnSkill("MagicWave");

		LearnSkill("FireBlow");
		LearnSkill("Blow");
	}
	if (2.0<=fLevel)
	{
		iLevel+=1;

		iHealth+=2;
		iMana+=2;

		LearnSkill("SummonImp");
	}
	if (3.0<=fLevel)
	{
		iLevel+=1;

		iHealth+=2;
		iMana+=2;

		LearnSkill("FireRing");
		LearnSkill("Paralyzer");
	}
	if (4.0<=fLevel)
	{
		iLevel+=1;

		iHealth+=2;
		iMana+=2;

		LearnSkill("FrostBolt");
		LearnSkill("SmashAttack");
	}
	if (5.0<=fLevel)
	{
		iLevel+=1;

		iHealth+=2;
		iMana+=2;

		LearnSkill("FireWall");
		LearnSkill("VampireClaw");
	}
	if (6.0<=fLevel)
	{
		iLevel+=1;

		iHealth+=2;
		iMana+=2;

		LearnSkill("MagicShield");
		LearnSkill("SummonMurderFlies");
	}
	if (7.0<=fLevel)
	{
		iLevel+=1;

		iHealth+=2;
		iMana+=2;

		LearnSkill("FireWave");
		LearnSkill("GreaterFireBlow");
	}

	SetHitPoints(mc_ID, iHealth);
	SetHealth(mc_ID, iHealth);
	SetManaMax(mc_ID, iMana);
	SetMana(mc_ID, iMana);

	SetExperience(mc_ID, 50*iLevel*(iLevel+1)+1);
	Message(3, "Level: "+string(iLevel+1));
}

void ShowAction(int ID)
{
	SetOnAction(ID, "if (dbLastAction==sTmp[0]) return; dbLastAction=sTmp[0]; DebugMessage(3, sTmp[0]); Wait(2); return; SetMana(obj[0], GetManaMax(obj[0]));");
}

void KillAll(float fDistance)
{
	iTmp[0]=GetParty(mc_ID);
	SetParty(mc_ID, 1);
	ExplosionDamageMagic(GetPosX(mc_ID),GetPosY(mc_ID), 1000000, 0,0, fDistance*32.0,0.0, mc_ID);
	RequestRunScript("SetParty(mc_ID,"+string(iTmp[0])+");",0.5);
}

void KillAll()
{
	KillAll(100);
}

void KillAllNoXP(float fDistance)
{
	SetImmortal(mc_ID,1);
	ExplosionDamageMagic(GetPosX(mc_ID),GetPosY(mc_ID), 1000000, 0,0, fDistance*32.0,0.0);
	SetImmortal(mc_ID,0);
}

void KillAllNoXP()
{
	KillAllNoXP(100);
}

void KillOne()
{
	if (GetPointPosition())
	{
		int id=GetNearestCreature(fTmp[0], fTmp[1], 64, 1);
		if ((id!=-1)&&(!IsDead(id)))
		{
			Kill(id, mc_ID);
		}
	}
}

void ShowPlayTime()
{
	int iSec=int(GetGameTime());
	int iMin=iSec/60;
	int iHour=iMin/60;
	iSec%=60;
	iMin%=60;

	TutorialNH("Playtime: "+string(iHour)+":"+string(iMin)+":"+string(iSec));
}

void CharEdit()
{
	CloseGui();
	RequestRunScript("scripts\\test_arena\\CharEditor.c");
}

void NegDam(int ID)
{
	SetOnDamage(mc_ID, "SetHealth(obj[0], GetHealth(obj[0]));\nDamagePhysical(obj[1], 0, damPhys[0], mc_ID);\nDamageMagic(obj[1], 0, damMagic[0], mc_ID);\nDamageMagic(obj[1], 1, damMagic[1], mc_ID);\nDamageMagic(obj[1], 2, damMagic[2], mc_ID);");
}

void noOnDamage()
{
	SetOnDamage(mc_ID, "");
}


void Gamma(int i)
{
	if (i)
	{
		SetPostRenderEffect("PR_Gamma");
	}
	else
	{
		SetPostRenderEffect("");
	}	
}

void Staff()
{
	AddToInventory(mc_ID, HeroStartWeapon, 1, 2);
}

void ShowObjInfo(int id)
{
	if (id>=0)
	{
		TutorialNH("CfgID: \""+GetCfgID(id)+"\"\n"+
				   "Type: \""+string(GetObjectType(id))+"\"\n"+
				   "ID:   "+string(id)+"\n"+
				   "WrdID: \""+GetWorldID(id)+"\"\n"+
				   "Pos:  "+string(GetPosX(id))+"/"+string(GetPosY(id)));
	}
	else
	{
		TutorialNH("CfgID: ***\n"+
				   "Type:  ***\n"+
				   "ID:   ***\n"+
				   "WrdID: ***\n"+
				   "Pos:  ***/***");
	}
}

void GetObj(int iType)
{
	int iCount;
	int iFound=0;
	int i;
	if (GetPointPosition()&&
		(iCount=GetAllObjectsWithinRadius(fTmp[0], fTmp[1], 64)))
	{
		int iTmp=iCount;
		while ((iTmp-->0)&&(iFound==0))
		{
			iFound=0;
			for (i=0; i<iCount; i++)
			{
				if (objList[i]==dbGetObjLast)
				{
					i++;
					break;
				}
			}
			i=i%iCount;
			dbGetObjLast=objList[i];
			if (GetCfgID(objList[i])!="")
			{
				switch (iType)
				{
				case 0:
					switch (GetObjectType(dbGetObjLast))
					{
					case 4:
					case 6:
						if (dbGetObjLast==mc_ID) break;
						iTmp=0;
						iFound=1;
						break;
					}
					break;
				case 1:
					iFound=1;
					break;
				case 2:
					if (dbGetObjLast==mc_ID) break;
					if (IsCreature(dbGetObjLast)&&IsDead(dbGetObjLast))
					{
						iFound=1;
					}
					break;
				}
			}
		}

		if ((iFound!=0)&&(iType==1)&&(GetSize(dbGetObjLast)!=0))
		{
			RequestRunScript("SetSize("+string(dbGetObjLast)+","+string(GetSize(dbGetObjLast))+");", 0.3);
			SetSize(dbGetObjLast, 0);
		}
	}
	if (iFound==0)
	{
		dbGetObjLast=-1;
	}
	ShowObjInfo(dbGetObjLast);
}

void GetObj()
{
	GetObj(1);
}

void Item(string s)
{
	AddToInventory(mc_ID, s);
}

void Item(string s, int count)
{
	if (count>0)
	{
		AddToInventory(mc_ID, s, count);
	}
	else if (count<0)
	{
		RemoveFromInventory(mc_ID, s, -count);
	}
}

void CreateScroll(string sOnUse)
{
	int id=AddObject("g_db_empty",0,0);
	SetItemOnUse(id, sOnUse);
	SetName(id, sOnUse);
	PickUp(mc_ID, id);
}

void Speed()
{
	SetMoveSpd(mc_ID, 600);
}

void Skills(int iBoost)
{
	if (iBoost!=0)
	{
		SetMana(mc_ID, 100000);
		SetManaMax(mc_ID, 100000);
		SetSpellPower(mc_ID, 100);
		SetStrength(mc_ID, 100);
	}
	LearnSkill("all");
}

void Skills()
{
	Skills(1);
}

void Bloom()
{
	SetPostRenderEffect("PR_Bloom");
}

void HDR()
{
	FadeOutWorld(1, 0);
	SetPostRenderEffect("PR_HDR");
	FadeOutWorld(0, 1);
}

void NoPRE()
{
	SetPostRenderEffect("");
}

void Friendly()
{
	if (GetParty(mc_ID)!=-2)
		SetParty(mc_ID, -2);
	else
		SetParty(mc_ID, 1);
}

void MoveObj()
{
	int iCount;
	if (dbMoveObj==0)
	{
		if (dbGetObjLast<0)
		{
			GetObj(0);
			if (dbGetObjLast>=0)
			{
				dbMoveObj=2;
				MoveObjIntern();
			}
		}
		else
		{
			dbMoveObj=1;
			MoveObjIntern();
		}
	}
	else
	{
		dbGetObjLast=-1;
		dbMoveObj=0;
	}
}

void MoveObjIntern()
{
	if (dbMoveObj==0) return;
	if (!IsValidObject(dbGetObjLast))
	{
		dbGetObjLast=-1;
	}
	else
	{
		if (GetPointPosition())
		{
			if (dbGetObjLast!=mc_ID)
			{
				int idParent=GetParent(dbGetObjLast);
				if (idParent==-1)
				{
					SetPos(dbGetObjLast, fTmp[0], fTmp[1]);
				}
				else
				{
					SetPos(dbGetObjLast, fTmp[0]-GetPosX(idParent), fTmp[1]-GetPosY(idParent));
				}
			}
			else
			{
				float fX=fTmp[0]-mc_posX, fY=fTmp[1]-mc_posY;
				SetPos(mc_ID, mc_posX+fX*0.2, mc_posY+fY*0.2);
			}
		}
		RequestRunScript("MoveObjIntern();");
		ShowObjInfo(dbGetObjLast);
	}
}

void ReviveOne()
{
	if ((dbGetObjLast<0)||
		(!IsCreature(dbGetObjLast))||
		(!IsDead(dbGetObjLast)))
	{
		GetObj(2);
	}
	if ((dbGetObjLast>=0)&&
		(IsCreature(dbGetObjLast))&&
		(IsDead(dbGetObjLast)))
	{
		Revive(dbGetObjLast, 1);
		SetExperienceGain(dbGetObjLast, 0);
	}
}

void EditTools()
{
	Item("db_getobj");
	Item("db_moveobj");
	Item("db_killall");
	Item("db_killone");
	Item("db_reviveone");
}

void Crash()
{
	Item("db_empty");
	TransferFromInventory(mc_ID, mc_ID, "db_empty");
}

void StartAtPos()
{
	dbFirstStart=1;
}

void StartAtPos(string sWrdID)
{
	if (dbFirstStart==0)
	{
		NPCObj(mc_ID, sWrdID);
	}
	dbFirstStart=1;
}

int StartAt(float Start)
{
	int iS=int(Start*100+0.5); // auf zwei Kommastellen runden
	int iD=int(dbStartAt*100+0.5);
	return (iS<=iD);
}

void StartGlobalSettings()
{
	if (dbFirstStart==0)
	{
		RunScript("scripts\\startglobalsettings.c");
	}
}

void chlvl()
{
	RequestRunScript("scripts\\choseLevel.c");
}

void makeHero()
{
	RequestRunScript("scripts\\makeHero.c");
}

void BalanceTools()
{
	item("db_level+");
	item("db_level-");
	item("db_health+"); 
	item("db_health-");
}

void SetHeroLevel(int i)
{
	if (i<1)
	{
		i=1;
	}
	dbHeroLevel=i;
	SetExperience(mc_ID, ((i-1)*i)*50);
}

int GetHeroLevel()
{
	return 	dbHeroLevel;
}


/*
void RotCam(float fDuration)
{
	RotCam(fDuration, 300);
}

void RotCam(float fDuration, float fDist)
{
	RotCam(fDuration, fDist, 45);
}
*/

void RotCam(float fDuration, float fDist, float fPitch)
{
	RotCam(fDuration, fDist, fPitch, fDist);
}

void RotCam(float fDuration, float fDist, float fPitch, float fDist2)
{
	RotCam(fDuration, fDist, fPitch, fDist2, fPitch);
}

void RotCam(float fDuration, float fDist, float fPitch, float fDist2, float fPitch2)
{
	RequestRunScript("#include \"scripts\\\\functions\\\\CamRot_intern.c\"\nRotCamIntern("+string(fDuration)+","+string(fDist)+","+
						string(fPitch)+","+string(fDist2)+","+string(fPitch2)+");");
}

void ShaderMenu()
{
	RequestRunScript("shader_menu_intern.c");
}

void Gold(int iAmount)
{
	AddGold(mc_ID, iAmount);
}

void Make360(float fAngle1, float fAngle2Start, float fAngle2, float fHeight)
{
	RequestRunScript("fTmp[0]="+string(fAngle1)+"; fTmp[1]="+string(fAngle2Start)+"; fTmp[2]="+string(fAngle2)+"; fTmp[3]="+string(fHeight)+";\n#include \"scripts\\\\functions\\\\make360shot.c\"");
}
