
int AddObject(string sCfgID, int ID)
{
	return AddObject(sCfgID, GetPosX(ID),GetPosY(ID), DEG(GetAngle(ID)));
}

int GetAllObjectsInObject(int ID)
{
	int iCount=GetAllObjectsWithinRadius(GetPosX(ID),GetPosY(ID),GetSize(ID)+1)-1;
	for (int i=0; i<iCount;i++)
	{
		if (objList[i]==ID)
		{
			objList[i]=objList[iCount];
		}
	}
	return iCount;
}

void ScaleObjectTo(int ID, float fFrom, float fTo, float fTime)
{
	ScaleObjectToIntern(ID, fFrom, fTo, fTime, GetGameTime());
}

void ScaleObjectToIntern(int ID, float fFrom, float fTo, float fTime, float fStartTime)
{
	float f=(GetGameTime()-fStartTime)/fTime;
	if (f<1.0)
	{
		f=fFrom*(1-f)+fTo*f;
		SetScale3D(ID, f,f,f);
		RequestRunScript("ScaleObjectToIntern("+string(ID)+","+string(fFrom)+","+
												string(fTo)+","+string(fTime)+","+
												string(fStartTime)+");");
	}
	else
	{
		SetScale3D(ID, fTo,fTo,fTo);
	}
}
