
void TrapShoot(string sObj, string sAction, string sSound)
{
	int i=GetAllObjectsWithWorldID(sObj)-1;
	int id;
	float fAngle;
	for (; i>=0; i--)
	{
		id=objList[i];
		fAngle=GetAngle(id);
		if (!Shoot(id, sAction, GetPosX(id)+cos(fAngle)*100.0, GetPosY(id)+sin(fAngle)*100.0))
		{
			Message(5, "ERROR: Trap: Couldn't shoot \""+sAction+"\" from Object \""+sObj+"\"");
			break;
		}
		if(strlen(sSound)>0) PlaySound(sSound,id);
	}
}

void TrapShoot(string sObj, string sAction)
{
	TrapShoot(sObj,sAction,"");
}

void TrapSpawn(string sObj, string sCfgID)
{
	int i=GetAllObjectsWithWorldID(sObj)-1;
	for (; i>=0; i--)
		NPCAttack(NPCSpawn(sCfgID, objList[i]), mc_ID);
}

void TrapPoison(float Damage, float fTime)
{
	DamagePoison(obj[1], 0, Damage/fTime, fTime);
}

void TrapHit(float fDamage)
{
	DamagePhysical(obj[1], 0, fDamage);
}

void ActivatePoisonShader()
{
	attackPoisonShader++;
	if (attackPoisonShader!=1) return;

	RequestRunScript("activatePoisonShader.c");
}

void DeactivatePoisonShader()
{
	attackPoisonShader--;
	if (attackPoisonShader!=0) return;

	RequestRunScript("deactivatePoisonShader.c");
}
