
int wpiTmp[1024];
int wpiTmp2[1024];
float wpfTmp[128];
float wpfTime;


void WPiShortestWay(string sID, int iPos, int iDest)
{
	wpiTmp[0]++;
	if (wpiTmp[0]<0)
	{
		Message(3, "Error: ", wpiTmp[0]);
		exit;
	}
	wpiTmp[wpiTmp[0]]=iPos;
	if ( (iPos==iDest) && ((wpfTmp[1]==-1)||(wpfTmp[1]>wpfTmp[0])) )
	{
		for (int i=0; i<=wpiTmp[0]; i++)
			wpiTmp2[i]=wpiTmp[i];

		wpfTmp[1]=wpfTmp[0];

		wpiTmp[0]--;
		return;
	}
	if ((wpfTmp[1]!=-1)&&(wpfTmp[0]>=wpfTmp[1]))
	{
		wpiTmp[0]--;
		return;
	}

	int idObj = GetObject(sID+string(iPos));
	int iWays = GetObjectFloat(idObj, 2);
	float fOldDistance = wpfTmp[0];
	int iTemp, j;

	for (int i=0; i<iWays; i++)
	{
		iTemp = GetObjectFloat(idObj, 3+i);
		if (iTemp==0)
		{
			Message(GetWorldID(idObj));
			exit;
		}
		for (j=0; j<wpiTmp[0]-1; j++)
		{
			if (wpiTmp[1+j]==iTemp)
				break;
		}
		if (j==wpiTmp[0]-1)
		{
			wpfTmp[0]=fOldDistance+Distance(idObj, GetObject(sID+string(iTemp)));
			if (GetTime()-wpfTime>0.001)
			{
				Wait(0.0); return;
				wpfTime=GetTime();
			}
			WPiShortestWay(sID, iTemp, iDest);
		}
	}
	wpiTmp[0]--;
}

int WPiFindPath(string sID, int iStart, int iEnd)
{
	wpiTmp[0]=0;
	wpiTmp2[0]=0;

	wpfTmp[0]=0;
	wpfTmp[1]=-1;

	wpfTime=GetTime();
	WPiShortestWay(sID, iStart, iEnd);
	if (wpiTmp2[0]==0)
	{
		DebugMessage(10, "ERROR: WPFindPath(): no path to "+sID+string(iEnd)+" exists");
		return 0;
	}
	return 1;
}

void WPiGoto(int idCreature, string sID, int iEnd)
{
	if (!WPiFindPath(sID, GetObjectFloat(idCreature, 8), iEnd)) return;

	SetAI(idCreature, "GOTO", sID+string(wpiTmp2[1]));

	for (int i=1; i<wpiTmp2[0]; i++)
		AddAI(idCreature, "GOTO", sID+string(wpiTmp2[1+i]));

//	DebugMessage(3, GetWorldID(idCreature)+" goes to "+sID+string(iEnd));
}

void WPiGotoCall(int idCreature, string sID, int iEnd, string sFile)
{
	if (!WPiFindPath(sID, int(GetObjectFloat(idCreature, 8)), iEnd)) return;

	if (wpiTmp2[0]==1)
	{
		SetAI(idCreature, "GOTO", sID+string(wpiTmp2[1]), "", 100, 1000, 0, sFile);
	}
	else
	{
		SetAI(idCreature, "GOTO", sID+string(wpiTmp2[1]));

		for (int i=1; i<wpiTmp2[0]-1; i++)
			AddAI(idCreature, "GOTO", sID+string(wpiTmp2[1+i]));

		AddAI(idCreature, "GOTO", sID+string(wpiTmp2[wpiTmp2[0]]), "", 100, sFile);
	}

//	DebugMessage(3, GetWorldID(idCreature)+" goes to "+sID+string(iEnd));
}
