
SetStory("Malvaren: Crystal Cave", 3);

SetTradeMigth(3.0);

int curStartPos=obj[0];

#include "dialogues\\init.c"
#include "quests\\init.c"

if ((GetWorldID(curStartPos)=="StartCrystalCave")&&(!StartAt(17.1)))
{
	Wait(0); return;
	AutoSave();

	if (Distance(GetObject("StartPos"), mc_ID)<10)
	{
		RequestRunScript("scripts\\halls_of_masters\\center\\quests\\start\\sequ_01_arrival.c");
	}
}

RemoveFromInventory(mc_ID, "cc_q_necromancersdiary_01");
RemoveFromInventory(mc_ID, "cc_q_spidergland_01");
RemoveFromInventory(mc_ID, "cc_q_planks_01");
RemoveFromInventory(mc_ID, "cc_q_goldenlever_01");
RemoveFromInventory(mc_ID, "cc_q_necrocyrstal_01");

StartGlobalSettings();

if (StartAt(18))
{
	RemoveObject(GetObject("StaffDemon"));
	RequestRunScript("RemoveWallEx(GetWall(\"a123asdjf\"));");
}

if (StartAt(44))
{
	dlgTheodosius=11;
}
else if (StartAt(41))
{
	dlgTheodosius=7;
}
else if (StartAt(21))
{
	dlgTheodosius=4;
}
else if (StartAt(18))
{
	dlgTheodosius=1;
}

if (StartAt(21))
{
	SetSpecialMark(GetObject("Theodosius"), 0);
}

if (StartAt(25))
{
	dlgMeganteolis=4;
}
else if (StartAt(23))
{
	dlgMeganteolis=3;
}
else if (StartAt(21))
{
	dlgMeganteolis=2;
}

if (StartAt(26))
{
	SCIllusionSolved=1;
}

if (StartAt(41))
{
	RequestRunScript("RemoveWallEx(GetWall(\"1234alkfj\"));");
	RequestRunScript("RequestRunScript(\"scripts\\\\halls_of_masters\\\\center\\\\quests\\\\theodosius\\\\after_bowl_loaded.c\");");

	RequestRunScript("RemoveObject(GetObject(\"Meganteolis\"));");
	RequestRunScript("RemoveObject(GetObject(\"Gorlin\"));");

	//fraazzz appears
	NPCObj(GetObject("Frazzz"), "FrazzGoto1.0");
	NPCVisible(GetObject("Frazzz"), 1);

	//!remove! for testing only
	NPCObj(mc_ID, "JumptToSecretChambersAfterDesintegratus");

	//move characters to their places
	NPCObj(GetObject("Theodosius"), "FrazzzTheodosiusStart1.1");
	NPCObj(GetObject("Dolcina"), "FrazzzDolcinaStart");
	NPCObj(GetObject("FrazzzAdept1"), "FrazzzAdept1Start");
	//NPCObj(GetObject("FrazzzAdept2"), "FrazzzAdept2Start");
	NPCObj(GetObject("FrazzzAdept3"), "FrazzzAdept3Start"); Kill(GetObject("FrazzzAdept3"));
	NPCObj(GetObject("FrazzzAdept4"), "FrazzzAdept4Start");

	//move dead adepts to their places and kill them
	NPCObj(GetObject("AdeptKill1"), "FrazzzAdeptKill1");
	NPCObj(GetObject("AdeptKill2"), "FrazzzAdeptKill2");
	NPCObj(GetObject("AdeptKill3"), "FrazzzAdeptKill3");
	NPCObj(GetObject("AdeptKill4"), "FrazzzAdeptKill4");


	int i=GetAllObjectsWithWorldID("AdeptKill", 0);
	while (i-->0)
	{
		Kill(objList[i]);
	}
}

if (StartAt(44))
{
}
else if (StartAt(42))
{
	RequestRunScript("RemoveObject(GetObject(\"ProtectionWallEffectPos\"));");
	RequestRunScript("RemoveObject(GetObject(\"ProtectionBowlEffectPos\"));");
	RequestRunScript("RequestRunScript(\"RemoveObject(GetObject(\\\"ProtectionBowl\\\"));\");");
	RequestRunScript("RequestRunScript(\"ProtectionBowlState=2;\");");
	SetHighlight(GetObject("ProtectionBowlPodest"), 0);
}
else if (StartAt(41))
{
	RequestRunScript("RemoveObject(GetObject(\"ProtectionWallEffectPos\"));");
	RequestRunScript("RemoveObject(GetObject(\"ProtectionBowlEffectPos\"));");
	RequestRunScript("RequestRunScript(\"ProtectionBowlState=1;\");");
	RequestRunScript("SetHighlight(GetObject(\"ProtectionBowl\"), 1);");
}

if (StartAt(45))
{
	RequestRunScript("RemoveObject(GetObject(\"Theodosius\"));");
}
else if (StartAt(44))
{
	SetAI(GetObject("Theodosius"), "change_strategy", "followMC");
}

if (StartAt(45))
{
	StartAtPos("StartSecretChambers");
	SCIllusionMCInside=0;
	RequestRunScript("RequestRunScript(\"obj[2]=1;\\n#include \\\"scripts\\\\\\\\halls_of_masters\\\\\\\\center\\\\\\\\quests\\\\\\\\secretchambers_illusion\\\\\\\\activate.c\\\"\\nSCIllusionMCInside=1;\");",0.5);
}
else if (StartAt(44))
{
	StartAtPos("DBProtectionBowlInserted");
}
else if (StartAt(42))
{
	StartAtPos("StartPlanetarium");
}
else if (StartAt(41))
{
	StartAtPos("FrazzMCGoto2.1");
}
else if (StartAt(40))
{
	StartAtPos("StartSecretChambersAfterDesintegratus");
	RequestRunScript("quests\\frazzz\\sequ_01_enter.c");
}
else if (StartAt(35))
{
	StartAtPos("StartSecretChambers");
	SCIllusionMCInside=0;
	RequestRunScript("RequestRunScript(\"obj[2]=1;\\n#include \\\"scripts\\\\\\\\halls_of_masters\\\\\\\\center\\\\\\\\quests\\\\\\\\secretchambers_illusion\\\\\\\\activate.c\\\"\\nSCIllusionMCInside=1;\");",0.5);
}
else if (StartAt(34))
{
	StartAtPos("StartPast");
	Wait(0); return;
	if (Distance(mc_ID, GetObject("StartPast"))<10)
	{
		dlgTheodosius=5;
		Use(mc_ID, GetObject("Theodosius"));
	}
}
else if (StartAt(25))
{
	StartAtPos("DBDestroyPortal");
}
else if (StartAt(23))
{
	StartAtPos("StartPlanetarium");
}
else if (StartAt(22))
{
	StartAtPos("StartHOMElement");
}
else if (StartAt(21))
{
	StartAtPos("DBGotMeganteolisQuest");
}
else if (StartAt(20))
{
	StartAtPos("StartPlanetarium");
}
else if (StartAt(18))
{
	StartAtPos("StartHOMCombat");
}
StartAtPos();



//has to be removed
//########

//demonstaff sequence
/*
AddToInventory(mc_ID, "hm_q_demonstaff_01");
SetStory("Theodosius: Staff", 2);
dlgTheodosius=1;
*/

//sos sent
/*
SetStory("Theodosius: SOS", 3);
dlgTheodosius=1;
*/

//sos and demonstaff quests solved
/*
AddToInventory(mc_ID, "hm_q_demonstaff_01");
SetStory("Theodosius: Staff", 2);
SetStory("Theodosius: SOS", 3);
dlgTheodosius=2;
//dlgTheodosius=3; zuerst sos dann stab
*/

//desintegratus not loaded
//disable Use in enter.c
//key frs planetarium fehlt
/*
SetStory("Theodosius: Staff", 3);
SetStory("Theodosius: SOS", 4);
dlgTheodosius=4;

AddToInventory(mc_ID, "hm_q_desintegratus_01");
SetStory("Meganteolis: Desintegrate",2);
dlgMeganteolis=2;
*/

//desintegratus loaded
/*
SetStory("Theodosius: Staff", 3);
SetStory("Theodosius: SOS", 4);
dlgTheodosius=4;

AddToInventory(mc_ID, "hm_q_desintegratus_02");
SetStory("Meganteolis: Desintegrate",3);
dlgMeganteolis=3;
*/

//powerbowl loaded
/*
RemoveObject(GetObject("ProtectionBowl"));
AddToInventory(mc_ID, "hm_q_protectionbowl_02");
ProtectionBowlState=2;
RequestRunScript("scripts\\halls_of_masters\\center\\quests\\secretchambers_illusion\\scroll_use.c");
*/


//#########