string sThis="scripts\\kufstein_demo\\training\\basic_tut.c";
string sCheckStaff="scripts\\kufstein_demo\\training\\check_for_staff.c";

int idSeverin = GetObject("Severin");
obj[0]=idSeverin;
obj[1]=mc_ID;

SetUses(idSeverin, 0);

int i=SeverinTalked;
switch (SeverinTut)
{
	case i++:
		if (SeverinTalked==1)
		{
			DialogNC("I said... Get your staff out of your INVENTORY.", "Alright. How do I get into my inventory?"); return;
			CloseDialog();
			Tutorial("Open your inventory with |i'I-Key' and the character sheet with |i'C-Key', then drag the staff with the |i'LMB-Key' from the inventory to the right hand of the figure in the character sheet and release. Alternatively, \nleft-click on the staff icon in the \ninventory.");
		}
		else
		{
			SeverinTut++;

			SetOnAction(mc_ID, "");
			CloseTutorial();

			DialogNC("Well then... First, get your staff out of your INVENTORY.", "Alright. How do I get into my inventory?"); return;
			CloseDialog();
			Tutorial("Open your inventory with |i'I-Key' and the character sheet with |i'C-Key', then drag the staff with the |i'LMB-Key' from the inventory to the right hand of the figure in the character sheet and release. Alternatively, \nleft-click on the staff icon in the \ninventory.");

			RequestRunScript(sCheckStaff, 0.5);
		}
		break;
	case i++:
		if (SeverinTalked==1)
		{
			DialogNC("Well done. You are a quick learner. Now, with the staff in your hands, you are ready to rumble. The TOP--DOWN STRIKE is the most basic strike. Now show me one.", "Of course. But how?"); return;
			CloseDialog();
			Tutorial("Basic top--down strike: |i'LMB-Key'");
		}
		else
		{
			if (GetEquipment(mc_ID, 1)!="")
			{
				SeverinTut++;
				CloseTutorial();
				CloseGui();
				Wait(1); return;

				DialogNC("Well done. You are a quick learner. Now, with the staff in your hands, you are ready to rumble. The TOP--DOWN STRIKE is the most basic strike. Now show me one.", "Of course. But how?"); return;
				CloseDialog();
				Tutorial("Basic top--down strike: |i'LMB-Key'");

				SetOnAction(mc_ID, sThis);
			}
		}
		break;

	case i++:
		if (SeverinTalked==1)
		{
			DialogNC("Now try a combination of strikes"); return;
			CloseDialog();
			Tutorial("press\n\n|i'LMB-Key' |i'LMB-Key' |i'LMB-Key'");
		}
		else
		{
			if (sTmp[0]!="VDiagTop") break;

			SetOnAction(mc_ID, "");
			SeverinTut++;			
			CloseTutorial();
			Wait(2); return;
			
			DialogNC("Now try a combination of strikes", "Of course. Tell me how."); return;
			CloseDialog();
			Tutorial("press\n\n|i'LMB-Key' |i'LMB-Key' |i'LMB-Key'");

			SetOnAction(mc_ID, sThis);
		}
		break;

	case i++:
		if (SeverinTalked==1)
		{
			DialogNC("You can continue these moves as long as you wish.\nNow let's try a more powerful combat move.", "Sounds good. Tell me how to do that!"); return;
			CloseDialog();
			Tutorial("quickly press\n\n|i'S-Key' |i'W-Key' |i'LMB-Key'");
		}
		else
		{
			if (sTmp[0]!="HLeft_1") break;

			SetOnAction(mc_ID, "");
			SeverinTut++;			
			CloseTutorial();
			Wait(2); return;
			
			DialogNC("You can continue these moves as long as you wish.\nNow let's try a more powerful combat move.", "Sounds good. Tell me how to do that!"); return;
			CloseDialog();
			Tutorial("quickly press\n\n|i'S-Key' |i'W-Key' |i'LMB-Key'");

			SetOnAction(mc_ID, sThis);
		}
		break;

	case i++:
		if (SeverinTalked==1)
		{
			DialogNC("Wonderful. You can see available special moves together with their key combination in the icons to the left and to the right of the screen.\n\nNow to my favorite part: spell magic. Cast a MAGIC BOLT spell.", "That's what I've been waiting for! Show me how!"); return;
			CloseDialog();
			Tutorial("Magic Bolt: |i'RMB-Key'");
		}
		else
		{
			if (sTmp[0]!="C_D_Point_01") break;

			SetOnAction(mc_ID, "");
			SeverinTut++;
			CloseTutorial();
			Wait(2); return;

			DialogNC("Wonderful. You can see available special moves together with their key combination in the icons to the left and to the right of the screen.\n\nNow to my favorite part: spell magic. Cast a MAGIC BOLT spell.", "That's what I've been waiting for! Show me how!"); return;
			CloseDialog();
			Tutorial("Magic Bolt: |i'RMB-Key'");

			SetOnAction(mc_ID, sThis);
		}
		break;

	case i++:
		if (SeverinTalked==1)
		{
			DialogNC("I said, if someone wants to hit you, you can DODGE away.", "Let me try that."); return;
			CloseDialog();
			Tutorial("Dodging: |i'W-Key' |i'Space-Key' - front\n      |i'A-Key' |i'Space-Key' - left\n      |i'S-Key' |i'Space-Key' - back\n      |i'D-Key' |i'Space-Key' - right");
		}
		else
		{
			if (sTmp[0]!="F_S_Point_00") break;

			SetOnAction(mc_ID, "");
			SeverinTut++;
			CloseTutorial();
			Wait(2); return;

			DialogNC("Very good. Now, if someone wants to hit you, you can DODGE away.", "Let me try that."); return;
			CloseDialog();
			Tutorial("Dodging: |i'W-Key' |i'Space-Key' - front\n      |i'A-Key' |i'Space-Key' - left\n      |i'S-Key' |i'Space-Key' - front\n      |i'D-Key' |i'Space-Key' - right");

			SetOnAction(mc_ID, sThis);
		}
		break;

	case i++:
		if (SeverinTalked==1)
		{
			DialogNC("Another way to get out of the way of something unhealthy would be the ROLL. Come on, give me a roll!", "Yep, tell me how!"); return;
			CloseDialog();
			Tutorial("Rolling: |i'W-Key' |i'W-Key' - forward\n     |i'A-Key' |i'A-Key' - left\n     |i'D-Key' |i'D-Key' - right");
		}
		else
		{
			if (sTmp[0]!="Jump") break;

			SetOnAction(mc_ID, "");
			SeverinTut++;
			CloseTutorial();
			Wait(2); return;

			DialogNC("Another way to get out of the way of something unhealthy would be the ROLL. Come on, give me a roll!", "Yep, tell me how!"); return;
			CloseDialog();
			Tutorial("Rolling: |i'W-Key' |i'W-Key' - forward\n     |i'A-Key' |i'A-Key' - left\n     |i'D-Key' |i'D-Key' - right");

			SetOnAction(mc_ID, sThis);
		}
		break;

	case i++:
		if (SeverinTalked==1)
		{
			DialogNC("Very nice. Now something different. On your way, you will find items, like health potions. Use them to heal yourself. Normally, you put every thing into your bag, but it's also possible to clip it onto your belt. That way you can quickly use it. Here is a health potion, put it from your inventory to your belt.", "OK."); return;
			CloseDialog();
			Tutorial("Use items: double click on them in your inventory \nRight click items to open the info window. \nPut items into quick slots (belt): Drag-Drop them from your inventory to the slots in the lower left corner.\nQuickslot use: |i'1-Key'\n|i'2-Key'\n|i'3-Key'");
		}
		else
		{
			if (sTmp[0]!="Dodge") break;

			SetOnAction(mc_ID, "");
			SeverinTut++;
			CloseTutorial();
			Wait(1); return;

			DialogNC("Very nice. Now something different. On your way, you will find items, like health potions. Use them to heal yourself. Normally, you put every thing into your bag, but it's also possible to clip it onto your belt. That way you can quickly use it. Here is a health potion, put it from your inventory to your belt.", "OK."); return;
			CloseDialog();
			Tutorial("Use items: double click on them in your inventory\nPut items into quick slots (belt): Drag-Drop item them from your inventory to the slots in the lower left corner.\nQuickslot use: |i'1-Key', |i'2-Key' or |i'3-Key'");

			AddToInventory(mc_ID, "TutHealthPotionDemo");
			SeverinTutTemp=1;
		}
		break;

	case i++:
		if (SeverinTalked==1)
		{
			DialogNC("Well done. Now use it from your belt.", "Alright."); return;
			CloseDialog();
			Tutorial("Quickslot use:\nfirst: |i'1-Key'\nsecond: |i'2-Key'\nthird: |i'3-Key'");
		}
		else
		{
			if (SeverinTutTemp!=2) break;

			SeverinTut++;
			CloseTutorial();
			CloseGui();
			Wait(1); return;

			DialogNC("Looks good. Now use it from your belt.", "Alright."); return;
			CloseDialog();
			Tutorial("Quickslot use:\nfirst: |i'1-Key'\nsecond: |i'2-Key'\nthird: |i'3-Key'");
			SeverinTutTemp=3;
		}
		break;

	case i++:
		if (SeverinTutTemp!=4) break;

		SeverinTut++;
		CloseTutorial();
		Wait(1); return;

		DialogNC("Good. That's all for the beginning. You have learned how to strike, dodge, roll, and cast a spell. You can now explore the world of Avencast...", "Now I know a lot more. Thanks."); return;
		Tutorial("Press |i'H-Key' for help");
		CloseDialog();

		// Finish
		SeverinTutEnd=1;
		Use(mc_ID, idSeverin);
		break;

	default:
		DebugMessage(3, "ERROR: SeverinTut invalid value ("+string(SeverinTut)+")");

		SetUses(idSeverin, -1);
		return;
}
SetUses(idSeverin, -1);

SeverinTalked=0;

