// On init the Watcher script is loaded
// other initialization may be done
 
// structure of init.c file is the following
// at first story constants are declared
// then level constants seperated in theme blocks meaning variables are grouped by semantic meaning
// then level variables are initialized and declared
// then Work is done which has to be done to initialize level


// ============================================================================
// ||                  story variable constants                              ||
// ============================================================================

// ============================================================================

// ============================================================================


// ============================================================================
// ||                         level constants                                ||
// ============================================================================
NewLevelVariable("strMarugarPassword", "string");
strMarugarPassword="MARUGARMAGICUSSUCIGAMRAGURAM";

NewLevelVariable("iMarugarFirstPasswordLen", "int");
iMarugarFirstPasswordLen=14;

// ============================================================================

// ============================================================================
 
// ============================================================================



// ============================================================================
// ||                         level variables                                ||
// ============================================================================
NewLevelVariable("iMarugarPos", "int");
iMarugarPos=0;



// ============================================================================
// ||                             level init                                 ||
// ============================================================================


int idObj, idNewObj;

int iMarugarLettersX=10, iMarugarLettersY=8;
int iMarugarLetterWidth=3*32, iMarugarLetterHeight=3*32;

string sLetters = "IEJEHYMBFI" +
				  "PTSMAUARIC" +
				  "AHLAQWGULK" +
				  "REDGIRANLE" +
				  "NLEGAMJSAR" +
				  "IREIEPIUCQ" +
				  "UHECUHTOOU" +
				  "FTGESAJVHE";

idObj=GetObject("MarugarLetters");

for (iTmp[0]=0; iTmp[0]<iMarugarLettersX; iTmp[0]++)
{
	for (iTmp[1]=0; iTmp[1]<iMarugarLettersY; iTmp[1]++)
	{
		idNewObj=AddObject("letter_base01", GetPosX(idObj)+iMarugarLetterWidth*(iTmp[0]+0.5), GetPosY(idObj)+iMarugarLetterHeight*(iTmp[1]+0.5),
						   -90);
//		SetHeight(idNewObj, 25);
		AddObject("letter_"+sLetters[iTmp[1]*iMarugarLettersX+iTmp[0]], 0,0,0, idNewObj);
		SetWorldID(idNewObj, "MarugarLetter"+sLetters[iTmp[1]*iMarugarLettersX+iTmp[0]]);
	}
}
